package com.ruoyi.biz.service;

import com.ruoyi.biz.domain.ArClassification;
import com.ruoyi.biz.domain.vo.ArClassificationVo;
import com.ruoyi.biz.domain.bo.ArClassificationBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 分类Service接口
 *
 * @author gwd
 * @date 2023-11-10
 */
public interface IArClassificationService {

    /**
     * 查询分类
     */
    ArClassificationVo queryById(Long id);

    /**
     * 查询分类列表
     */
    TableDataInfo<ArClassificationVo> queryPageList(PageQuery pageQuery);

    /**
     * 查询分类列表
     */
    List<ArClassificationVo> queryList(ArClassificationBo bo);

    /**
     * 新增分类
     */
    Boolean insertByBo(ArClassificationBo bo);

    /**
     * 修改分类
     */
    Boolean updateByBo(ArClassificationBo bo);

    /**
     * 校验并批量删除分类信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
